Package org.apache.lucene.codecs.lucene99

## Enum Lucene99Codec.Mode

- java.lang.Object
- - java.lang.Enum<Lucene99Codec.Mode>
  - - org.apache.lucene.codecs.lucene99.Lucene99Codec.Mode

- All Implemented Interfaces:
    `Serializable`, `Comparable<Lucene99Codec.Mode>`
  Enclosing class:
    Lucene99Codec

      public static enum Lucene99Codec.Mode
      extends Enum<Lucene99Codec.Mode>

  Configuration option for the codec.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BEST_COMPRESSION` | Trade retrieval speed for compression ratio.
    `BEST_SPEED` | Trade compression ratio for retrieval speed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Lucene99Codec.Mode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Lucene99Codec.Mode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEST_SPEED

          public static final Lucene99Codec.Mode BEST_SPEED

      Trade compression ratio for retrieval speed.

    - #### BEST_COMPRESSION

          public static final Lucene99Codec.Mode BEST_COMPRESSION

      Trade retrieval speed for compression ratio.

  - ### Method Detail

    - #### values

          public static Lucene99Codec.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Lucene99Codec.Mode c : Lucene99Codec.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Lucene99Codec.Mode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null